import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { INTEGER, INTEGER_SIGNED, STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelMeditation extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      {
        competence: new fields.StringField({ label: "Compétence", initial: "", ...STRING }),
        theme: new fields.StringField({ label: "Thème", initial: "", ...STRING }),
        support: new fields.StringField({ label: "Support", initial: "", ...STRING }),
        heure: new fields.StringField({ label: "Heure", initial: "", ...STRING }),
        purification: new fields.StringField({ label: "Purification", initial: "", ...STRING }),
        veture: new fields.StringField({ label: "Vêture", initial: "", ...STRING }),
        comportement: new fields.StringField({ label: "Comportement", initial: "", ...STRING }),
        tmr: new fields.StringField({ label: "TMR", initial: "", ...STRING }),
        malus: new fields.NumberField({ label: "Malus", initial: 0, ...INTEGER_SIGNED }),
      }
    )
  }
}
